Bullet Collision Detection & Physics Library: Bullet::btConeTwistConstraintDoubleData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btConeTwistConstraintDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btConeTwistConstraintDoubleData:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
double | m_swingSpan1
double | m_swingSpan2
double | m_twistSpan
double | m_limitSoftness
double | m_biasFactor
double | m_relaxationFactor
double | m_damping

## Detailed Description

Definition at line 1003 of file bullet.h.

## Member Data Documentation

## ◆ m_biasFactor

double Bullet::btConeTwistConstraintDoubleData::m_biasFactor

Definition at line 1013 of file bullet.h.

## ◆ m_damping

double Bullet::btConeTwistConstraintDoubleData::m_damping

Definition at line 1015 of file bullet.h.

## ◆ m_limitSoftness

double Bullet::btConeTwistConstraintDoubleData::m_limitSoftness

Definition at line 1012 of file bullet.h.

## ◆ m_rbAFrame

btTransformDoubleData Bullet::btConeTwistConstraintDoubleData::m_rbAFrame

Definition at line 1007 of file bullet.h.

## ◆ m_rbBFrame

btTransformDoubleData Bullet::btConeTwistConstraintDoubleData::m_rbBFrame

Definition at line 1008 of file bullet.h.

## ◆ m_relaxationFactor

double Bullet::btConeTwistConstraintDoubleData::m_relaxationFactor

Definition at line 1014 of file bullet.h.

## ◆ m_swingSpan1

double Bullet::btConeTwistConstraintDoubleData::m_swingSpan1

Definition at line 1009 of file bullet.h.

## ◆ m_swingSpan2

double Bullet::btConeTwistConstraintDoubleData::m_swingSpan2

Definition at line 1010 of file bullet.h.

## ◆ m_twistSpan

double Bullet::btConeTwistConstraintDoubleData::m_twistSpan

Definition at line 1011 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData Bullet::btConeTwistConstraintDoubleData::m_typeConstraintData

Definition at line 1006 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h